Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-27526

Qt 5 beta 2 installer binary also requires ICU

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: 5.0.0 Beta 2
    • Fix Version/s: 5.0.0 Beta 2
    • Component/s: Packaging & Installer
    • Labels:
      None

      Description

      When the installer is run, it prints:

       $ ./qt-linux-opensource-5.0.0-beta2-x86_64-ubuntu1110-offline.run
      Unable to load library icui18n "Cannot load library icui18n: (libicui18n.so.44: cannot open shared object file: No such file or directory)" 
      

      That warning comes from Qt 4. The static Qt build used to create the installer should have ICU support disabled.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              markvalt Marko Valtanen (Inactive)
              Reporter:
              thiago Thiago Macieira
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes